# SIG/AltArch Wiki

## Supported hardware

The following list contains a limited number of SBCs because that is what the
SIG/AltArch members have. If you own a board not on this list, please feel
free to join the [SIG/AltArch discussion channel](https://chat.rockylinux.org/rocky-linux/channels/altarch)
and ask "If SBC X is supported" and someone will definitely get back to you.
(If you do not get a reply, please ping me (`@thefossguy`).)

_**Legend:**_

| "Symbol" | Meaning                                                                  |
|----------|--------------------------------------------------------------------------|
| **Y**    | Supported                                                                |
| **U**    | Supported but untested (should work, if it doesn't let maintainers know) |
| **N**    | Not yet supported / Support missing in upstream                          |
| **D**    | Supported upstream but disabled by SIG/AltArch maintainers               |
| **WIP**  | Work in progress                                                         |
| **N/A**  | Hardware not present on the board                                        |

### `aarch64` (64-bit ARM) boards

| Board name                 | SoC       | SD Card | eMMC | USB | Networking | PCIe (no dGPU)| HDMI | cpufreq | RTC |
|----------------------------|-----------|---------|------|-----|------------|---------------|------|---------|-----|
| FriendlyElec NanoPC-T6     | RK3588    | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Radxa ROCK 5 Model B       | RK3588    | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Raspberry Pi 3 Model A+/B+ | BCM2387B0 | Y       | N/A  | Y   | Y          | N/A           | Y    | Y       | N/A |
| Raspberry Pi 3 Model B     | BCM2837   | Y       | N/A  | Y   | Y          | N/A           | Y    | Y       | N/A |
| Raspberry Pi 4 Model B     | BCM2711   | Y       | N/A  | Y   | Y          | N/A           | Y    | Y       | N/A |
| Raspberry Pi 400           | BCM2711   | Y       | N/A  | Y   | Y          | N/A           | Y    | Y       | N/A |
| Raspberry Pi 5 Model B     | BCM2712   | Y       | N/A  | Y   | Y          | Y             | Y    | Y       | Y   |
| Xunlong Orange Pi 5        | RK3588S   | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
<!--
| PINE64 QuartzPro64         | RK3588    | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Radxa ROCK 5 Model A       | RK3588S   | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Turing Machines RK1        | RK3588    | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Xunlong Orange Pi 5 Plus   | RK3588    | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
| Xunlong Orange Pi 5 Pro    | RK3588S   | Y       | Y    | Y   | Y          | Y             | N    | N       | U   |
-->

### `riscv64` (64-bit RISC-V) boards

<!--
| Board name                              | SoC    | SD Card | eMMC | USB | Networking | PCIe (no dGPU)| HDMI | cpufreq | RTC |
|-----------------------------------------|--------|---------|------|-----|------------|---------------|------|---------|-----|
| Milk-V Mars                             | JH7110 |         |      |     |            |               |      |         |     |
| SiFive HiFive Unmatched A00             | FU740  |         |      |     |            |               |      |         |     |
| Sipeed Lichee Module 4A                 | TH1520 |         |      |     |            |               |      |         |     |
| Sipeed Lichee Pi 4A                     | TH1520 |         |      |     |            |               |      |         |     |
| StarFive VisionFive 2 (v1.2A and v1.3B) | JH7110 |         |      |     |            |               |      |         |     |
-->

## Extra links

## Responsibilities

## Meetings / Communications

## Members

 - [@codedude](https://git.resf.org/codedude)
 - [@neil](https://git.resf.org/neil)
 - [@pgreco](https://git.resf.org/pgreco)
 - [@sherif](https://git.resf.org/sherif)
 - [@skip77](https://git.resf.org/skip)
 - [@thefossguy](https://git.resf.org/thefossguy)


## Project layout

    mkdocs.yml    # The configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.
